Jump to content
Sign in to follow this  
Followers 0
Aresss

Help

2 posts in this topic

Recommended Posts

Can you guys help me Everytime download highs seirra it says this version of Mac is x is not compatible on this platform.IMG_20191001_205545.thumb.jpg.2bc35f34f9281c5764ee55179fa2dff7.jpg

Share this post


Link to post
Share on other sites
Advertisement

Says it all in the displayed reason... Look it up (i.e. what's "Mac-F42C88C8")!

Edited by Hervé

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  
Followers 0

  • Recently Browsing   0 members

    No registered users viewing this page.

Announcements

×